Subject: bug#57404: (no subject)

From: Алексей <[email-masked]>
Date: Thu, 25 Aug 2022 13:59:24 +0300

Hi!
I download  https://ftp.gnu.org/gnu/automake/automake-1.16.5.tar.gz
and compiled it. I have several tests failed in `make check ` command
Most of them are marked with # TODO long-standing limitation
but there are several other failed tests
 
I configured installation with non-statndard path /tools/automake-1.16.5,
but I don’t belived this caused fails
 
my script:
wget https://ftp.gnu.org/gnu/automake/automake-1.16.5.tar.gz tar xvf automake-1.16.5.tar.gz
ls auto*
cd automake-1.16.5/
./configure --prefix=/tools/automake-1.16.5
make
make install
 
make check output:
SKIP: t/get-sysconf.sh
XFAIL: t/pm/Cond2.pl
XFAIL: t/pm/Cond3.pl
XFAIL: t/pm/DisjCon2.pl
XFAIL: t/pm/DisjCon3.pl
XFAIL: t/pm/Version2.pl
XFAIL: t/pm/Version3.pl
XFAIL: t/instspc.tap 1 - squote in builddir # TODO long-standing limitation
XFAIL: t/instspc.tap 2 - squote in destdir # TODO long-standing limitation
XFAIL: t/instspc.tap 3 - dquote in builddir # TODO long-standing limitation
XFAIL: t/instspc.tap 4 - dquote in destdir # TODO long-standing limitation
XFAIL: t/instspc.tap 5 - bquote in builddir # TODO long-standing limitation
XFAIL: t/instspc.tap 6 - bquote in destdir # TODO long-standing limitation
XFAIL: t/instspc.tap 7 - sharp in builddir # TODO long-standing limitation
XFAIL: t/instspc.tap 8 - sharp in destdir # TODO long-standing limitation
XFAIL: t/instspc.tap 9 - dollar in builddir # TODO long-standing limitation
XFAIL: t/instspc.tap 10 - dollar in destdir # TODO long-standing limitation
XFAIL: t/instspc.tap 13 - bslash in builddir # TODO long-standing limitation
XFAIL: t/instspc.tap 15 - ampersand in builddir # TODO long-standing limitation
XFAIL: t/instspc.tap 63 - linefeed in builddir # TODO long-standing limitation
XFAIL: t/instspc.tap 64 - linefeed in destdir # TODO long-standing limitation
XFAIL: t/instspc.tap 71 - quadrigraph0 in builddir # TODO long-standing limitation
XFAIL: t/instspc.tap 85 - a_lf_b in builddir # TODO long-standing limitation
XFAIL: t/instspc.tap 86 - a_lf_b in destdir # TODO long-standing limitation
SKIP: t/aclocal-macrodir.tap 7 # SKIP autoconf is too old (AC_CONFIG_MACRO_DIRS not defined)
SKIP: t/aclocal-macrodirs.tap 15 # SKIP autoconf is too old (AC_CONFIG_MACRO_DIRS not defined)
XFAIL: t/all.sh
amhello-cross-compile: skipped test: required program 'i586-mingw32msvc-gcc' not available
SKIP: t/amhello-cross-compile.sh
ar-lib5a: skipped test: Microsoft 'lib' utility not available
SKIP: t/ar-lib5a.sh
XFAIL: t/auxdir-computed.tap 2 - automake -a # TODO long-standing limitation
XFAIL: t/auxdir-computed.tap 3 - automake # TODO long-standing limitation
auxdir-pr19311: skipped test: this test passes with autoconf-2.69d and newer
SKIP: t/auxdir-pr19311.sh
canon7: skipped test: required program 'libtool' not available
SKIP: t/canon7.sh
check12: skipped test: DejaGnu is not available
SKIP: t/check12.sh
color-tests2: skipped test: requires a working expect program
SKIP: t/color-tests2.sh
compile4: skipped test: Microsoft C compiler 'cl' not available
SKIP: t/compile4.sh
compile5: skipped test: target OS is not MinGW
SKIP: t/compile5.sh
compile7: skipped test: Intel C compiler 'icl' not available
SKIP: t/compile7.sh
XFAIL: t/cond17.sh
SKIP: t/cscope.tap 3 # SKIP no proper cscope program available
SKIP: t/cscope.tap 4 # SKIP no proper cscope program available
SKIP: t/cscope.tap 5 # SKIP no proper cscope program available
SKIP: t/cscope.tap 9 # SKIP no proper cscope program available
SKIP: t/cscope.tap 10 # SKIP no proper cscope program available
SKIP: t/cscope.tap 11 # SKIP no proper cscope program available
SKIP: t/cscope.tap 15 # SKIP no proper cscope program available
SKIP: t/cscope.tap 16 # SKIP no proper cscope program available
SKIP: t/cscope.tap 17 # SKIP no proper cscope program available
cscope3: skipped test: required program 'cscope' not available
SKIP: t/cscope3.sh
dejagnu3: skipped test: DejaGnu is not available
SKIP: t/dejagnu3.sh
dejagnu4: skipped test: DejaGnu is not available
SKIP: t/dejagnu4.sh
dejagnu5: skipped test: DejaGnu is not available
SKIP: t/dejagnu5.sh
dejagnu6: skipped test: DejaGnu is not available
SKIP: t/dejagnu6.sh
dejagnu7: skipped test: DejaGnu is not available
SKIP: t/dejagnu7.sh
dejagnu-absolute-builddir: skipped test: DejaGnu is not available
SKIP: t/dejagnu-absolute-builddir.sh
dejagnu-relative-srcdir: skipped test: DejaGnu is not available
SKIP: t/dejagnu-relative-srcdir.sh
dejagnu-siteexp-extend: skipped test: DejaGnu is not available
SKIP: t/dejagnu-siteexp-extend.sh
SKIP: t/dist-formats.tap 9 - 'make dist-lzip' work by default # SKIP 'lzip' not available
SKIP: t/dist-formats.tap 17 - 'make dist-zstd' work by default # SKIP 'zstd' not available
SKIP: t/dist-formats.tap 40 - am=no-dist-gzip ac=dist-lzip [distcheck] # SKIP 'lzip' not available
SKIP: t/dist-formats.tap 41 - am=no-dist-gzip ac=dist-lzip [ark-exists] # SKIP 'lzip' not available
SKIP: t/dist-formats.tap 54 - ac=dist-zstd,no-dist-gzip [distcheck] # SKIP 'zstd' not available
SKIP: t/dist-formats.tap 55 - ac=dist-zstd,no-dist-gzip [ark-exists] # SKIP 'zstd' not available
SKIP: t/dist-formats.tap 73 - all compressors together [make distcheck, real] # SKIP not all compressors available
dist-tarZ: skipped test: cannot find a working 'compress' program
SKIP: t/dist-tarZ.sh
 
With regards,
[email-masked]
 
Linux Mint 20.3 Cinnamon (5.2.7) (x86_64)
Intel© Pentium© CPU  N3700  @ 1.60GHz × 4
kernel 5.4.0-113-generic